
package com.tmerclub.cloud.live.vo;

import com.tmerclub.cloud.common.product.vo.search.SpuSearchVO;
import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.util.Date;
import java.util.List;

/**
 * 直播间VO
 * @author TRACK
 */
public class LiveRoomVO extends BaseVO{
    private static final long serialVersionUID = 1L;

    @Schema(description = "直播间信息")
    private Long roomId;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "店铺名称")
    private String shopName;

    @Schema(description = "店铺logo")
    private String shopLogo;

    @Schema(description = "直播间名称")
    private String name;

    @Schema(description = "主播昵称")
    private String nickName;

    @Schema(description = "主播手机号")
    private String userMobile;

    @Schema(description = "主播状态 1 正常 0 无效")
    private Integer status;

    @Schema(description = "主播用户id")
    private Long userId;

    @Schema(description = "直播间状态 0.未开始 1.直播中 2.已结束 3.暂停中 -1.违规下架")
    private Integer liveStatus;

    @Schema(description = "直播背景图")
    private String coverImg;

    @Schema(description = "主播分享图")
    private String shareImg;

    @Schema(description = "直播封面图")
    private String feedsImg;

    @Schema(description = "是否置顶 1.是 0.不是")
    private Integer roomTop;

    @Schema(description = "直播开始时间")
    private Date startTime;

    @Schema(description = "直播结束时间")
    private Date endTime;

    @Schema(description = "下线备注")
    private String remark;

    @Schema(description = "商品列表")
    private List<SpuSearchVO> spuList;

    @Schema(description = "游客uuid")
    private Long uuid;

    public Long getRoomId() {
        return roomId;
    }

    public void setRoomId(Long roomId) {
        this.roomId = roomId;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getUserMobile() {
        return userMobile;
    }

    public void setUserMobile(String userMobile) {
        this.userMobile = userMobile;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Integer getLiveStatus() {
        return liveStatus;
    }

    public void setLiveStatus(Integer liveStatus) {
        this.liveStatus = liveStatus;
    }

    public String getCoverImg() {
        return coverImg;
    }

    public void setCoverImg(String coverImg) {
        this.coverImg = coverImg;
    }

    public String getShareImg() {
        return shareImg;
    }

    public void setShareImg(String shareImg) {
        this.shareImg = shareImg;
    }

    public String getFeedsImg() {
        return feedsImg;
    }

    public void setFeedsImg(String feedsImg) {
        this.feedsImg = feedsImg;
    }

    public Integer getRoomTop() {
        return roomTop;
    }

    public void setRoomTop(Integer roomTop) {
        this.roomTop = roomTop;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public List<SpuSearchVO> getSpuList() {
        return spuList;
    }

    public void setSpuList(List<SpuSearchVO> spuList) {
        this.spuList = spuList;
    }

    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }

    public String getShopLogo() {
        return shopLogo;
    }

    public void setShopLogo(String shopLogo) {
        this.shopLogo = shopLogo;
    }

    public Long getUuid() {
        return uuid;
    }

    public void setUuid(Long uuid) {
        this.uuid = uuid;
    }

    @Override
    public String toString() {
        return "LiveRoomVO{" +
                "roomId=" + roomId +
                ", shopId=" + shopId +
                ", shopName='" + shopName + '\'' +
                ", shopLogo='" + shopLogo + '\'' +
                ", name='" + name + '\'' +
                ", nickName='" + nickName + '\'' +
                ", userMobile='" + userMobile + '\'' +
                ", status=" + status +
                ", userId=" + userId +
                ", liveStatus=" + liveStatus +
                ", coverImg='" + coverImg + '\'' +
                ", shareImg='" + shareImg + '\'' +
                ", feedsImg='" + feedsImg + '\'' +
                ", roomTop=" + roomTop +
                ", startTime=" + startTime +
                ", endTime=" + endTime +
                ", remark='" + remark + '\'' +
                ", spuList=" + spuList +
                ", uuid=" + uuid +
                '}';
    }
}
